{*
    LWAT, LDAP Webbased Administration Tool
    Copyright (C) 2007  Finn-Arne Johansen <faj@bzz.no>, Bzzware AS, Norway

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*}
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
	<link rel="stylesheet" href="./default.css" type="text/css">
        <title>
            {t}lwat Import script{/t}
        </title>
    </head>
    <body>
    <A HREF="index.php">[Main]</A>
    <A HREF="doc/import.php.html" TARGET="lwat_help">[{t}Help{/t}]</A>
    {if ($cmd == add)}
	{foreach name=addUser from=$addUsers key=username item=addUser}
	    <TABLE>
	        <TR>
	            <TD>{t}Added user:{/t}</TD>
	            <TH align=left>{$addUser.fullName}</TH>
	        </TR>
	        <TR>
		    <TD>{t}Username:{/t}</TD>
		    <TH align=left>{$username}</TH>
	        </TR>
	        <TR>
		    <TD>{t}Password:{/t}</TD>
	            <TH align=left>{$addUser.password}</TH>
	        </TR>
		{if isset ($addUser.AddGroup)}
		    <TR>
		        <TD valign=top>{t}Groups:{/t}</TD>
		        <TH>
			{foreach name=groups from=$addUser.AddGroup item=group}
			    {$group}<BR>
			{/foreach}
			</TH>
	            </TR>
		{/if}
	    </TABLE>
	    <HR>
	{/foreach}
    {elseif isset ($cmd)}
	<form method=post>
	    <table border=1>
		<TR>
		    {if ($cmd == upload)}
			<TH>Include</TH>
			{foreach name=header from=$columns item=column}
			    <TH>
				<select name=column_{$smarty.foreach.header.index}>
				    <option value=Template {if ($smarty.foreach.header.index == 0)} selected {/if}>{t}Template{/t}</option>
				    <option value=fullName {if ($smarty.foreach.header.index == 1)} selected {/if}>{t}Full name{/t}</option>
				    <option value=firstName>{t}First name{/t}</option>
				    <option value=lastName>{t}Last name{/t}</option>
				    <option value=userName {if ($smarty.foreach.header.index == 2)} selected {/if}>{t}Username{/t}</option>
				    <option value=password {if ($smarty.foreach.header.index == 3)} selected {/if}>{t}Password{/t}</option>
				    <option value=Group {if ($smarty.foreach.header.index >= 4)} selected {/if}>{t}Group{/t}</option>
				    <option value=skip>{t}Don't use{/t}</option>
				</select>
			    </TH>
			{/foreach}
	            {else}
	                <TH>{t}Template{/t}</TH>
	                <TH>{t}Full name{/t}</TH>
	                <TH>{t}Username{/t}</TH>
	                <TH>{t}Password{/t}</TH>
	                <TH>{t}Group(s){/t}</TH>
		    {/if}
		</TR>
		{foreach name=row from=$cells item=row}
		    <TR>
		    {if ($cmd == upload)}
			<TD><INPUT TYPE=Checkbox Name=row_{$smarty.foreach.row.index} Checked></TD>
			{foreach name=cell from=$row item=value}
			    <TD>
				<INPUT type=Text 
				       name=cell_{$smarty.foreach.row.index}_{$smarty.foreach.cell.index} 
				       value="{$value}">
			    </TD>
			{/foreach}
		    {else}
		        <TD>
                            {if ($row.Template == "") }
				<select name=template_{$row.userName}>
				    {foreach from=$Templates item=template}
					<option value="{$template}">{$template}</option>
				    {/foreach}
				</select>
		            {else}
				<INPUT type=hidden name=template_{$row.userName} value="{$row.Template}">
				{$row.Template}
			    {/if}
		        </TD>
		        <TD>
		            <input type=hidden name=fullName_{$row.userName}
			                  value="{$row.fullName}">
		            {$row.fullName}
		        </TD>
		        <TD>
		            {$row.userName}
		        </TD>
		        <TD>
		            <input type=hidden name=password_{$row.userName}
			                  value="{$row.password}">
		            {$row.password}
		        </TD>
		        <TD>
			    {foreach name=group from=$row.group item=group}
		            <input type=hidden name=group_{$row.userName}_{$smarty.foreach.group.index}
			                  value="{$group}">
		            {$group}
		            {/foreach}
		        </TD>
	            {/if}
		    </TR>
		{/foreach}
	    </table>
	    {if ($cmd == upload)}
		<INPUT type=submit name=cmd_check value="{t}Check file{/t}">
            {else}
		<INPUT type=submit name=cmd_add value="{t}Add users{/t}">
	    {/if}
	</form>
    {/if}
    <small>
        Copyright&copy;2007 <A HREF=http://bzz.no/lwat target=_null>Bzzware AS</A>. 
        {t}Developed with contribution from {/t}<A HREF=http://wiki.debian.org/DebianEdu target=_null>Debian-edu</A>
    </small>
    </body>
</html>
